/*
 *  segment_stats.h
 *  Numerical Fibre Generator
 *
 *  Created by Tom Close on 25/06/08.
 *  Copyright 2008 Tom Close.
 *  Distributed under the GNU General Public Licence.
 *
 *
 *
 *  This file is part of 'Numerical Fibre Generator'.
 *
 *  'Numerical Fibre Generator' is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  'Numerical Fibre Generator' is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with 'Numerical Fibre Generator'.  If not, see <http://www.gnu.org/licenses/>
 *
 */

#ifndef SEGMENT_STATS_H
#define SEGMENT_STATS_H

#include "segment.h"

typedef struct _segment_stats {

	Segment *segment;
	double length;
	double angle;
	double radius_curv;
	int spatial_extent_gross;		/* The number of grid elements that would have been plotted if there were no other strands. */
	int spatial_extent_net;			/* The number of grid elements that were actually plotted. */

} Segment_stats;


void init_segment_stats(Segment_stats *stats, Segment *segment);

#endif


