/*
 *  optimise.h
 *  Numerical Fibre Generator
 *
 *  Created by Tom Close on 25/06/08.
 *  Copyright 2008 Tom Close.
 *  Distributed under the GNU General Public Licence.
 *
 *
 *
 *  This file is part of 'Numerical Fibre Generator'.
 *
 *  'Numerical Fibre Generator' is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  'Numerical Fibre Generator' is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with 'Numerical Fibre Generator'.  If not, see <http://www.gnu.org/licenses/>
 *
 */

#ifndef OPTIMISE_H
#define OPTIMISE_H

#include "strand_collection.h"
#include "sample_block.h"
#include "reference_block.h"


void optimise(Strand_collection *c, double cost_term_weights[3], double cost_term_powers[3], double sample_density, int grid_reference_size, double initial_step_size, double step_tol, double optimization_tol, double jitter_dev, unsigned int jitter_seed, int max_iterations, int iterations_save_freq, char *iterations_save_path) ;


void allocate_storage_blocks(Sample_block **start_block, Reference_block **grid_reference, int grid_reference_size);

void free_storage_blocks(Sample_block *start_block, Reference_block *grid_reference, int grid_reference_size);


#endif
