/*
 *  rand_init.h
 *  Numerical Fibre Generator
 *
 *  Created by Tom Close on 25/06/08.
 *  Copyright 2008 Tom Close.
 *  Distributed under the GNU General Public Licence.
 *
 *
 *
 *  This file is part of 'Numerical Fibre Generator'.
 *
 *  'Numerical Fibre Generator' is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  'Numerical Fibre Generator' is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with 'Numerical Fibre Generator'.  If not, see <http://www.gnu.org/licenses/>
 *
 */

#ifndef _RAND_INIT_H_
#define _RAND_INIT_H_

#include <gsl/gsl_rng.h>
#include "strand_collection.h"

/* Randomly initialises a collection of strands by generating pairs of points on a sphere then joining them with evenly spaced control points */
int rand_init_collection(Strand_collection *c, double sphere_r, double point_freq, double strand_r_lbound, double strand_r_ubound, double strand_r_buffer_ratio, unsigned int seed, int max_attempts);

/* As the name suggests, randomly generates a point on a sphere */
void rand_gen_point_on_sphere(double *point, double sphere_r, const gsl_rng *random_gen);



#endif
