/*
 *  strand_collection.h
 *  Numerical Fibre Generator
 *
 *  Created by Tom Close on 25/06/08.
 *  Copyright 2008 Tom Close.
 *  Distributed under the GNU General Public Licence.
 *
 *
 *
 *  This file is part of 'Numerical Fibre Generator'.
 *
 *  'Numerical Fibre Generator' is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  'Numerical Fibre Generator' is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with 'Numerical Fibre Generator'.  If not, see <http://www.gnu.org/licenses/>
 *
 */

#ifndef STRAND_COLLECTION_H
#define STRAND_COLLECTION_H 0

#include "strand.h"

typedef struct _strand_collection {
	
	int num_strands;
	int num_control_points;
	int *num_strand_control_points;
	double *strand_r;
	
	double *control_points;
	double *control_points_grad;
	
	double *start_points;
	double *end_points;
	
	double *pre_points;	
	double *post_points;

	double sphere_r;
	double fov;
	
	Strand *strands;
	Segment *segments;

	int *bundle_i_of_strand;
	
} Strand_collection;


void collection_alloc(Strand_collection *c, int num_strands, int num_control_points);

void collection_free(Strand_collection *c);

int save_collection(Strand_collection *c, char *dir_path, int save_start_index);
			
int load_collection(Strand_collection *c, char *dir_path);
	


#endif
